
_interrupt:

;Bluetooth2.c,35 :: 		void interrupt(){
;Bluetooth2.c,36 :: 		if (PIR1.RCIF == 1) {                        // Do we have uart rx interrupt request?
	BTFSS       PIR1+0, 5 
	GOTO        L_interrupt0
;Bluetooth2.c,37 :: 		tmp = UART1_Read();                        // Get received byte
	CALL        _UART1_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _tmp+0 
;Bluetooth2.c,38 :: 		if (tmp == 13) {                         // check for CR
	MOVF        R0, 0 
	XORLW       13
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt1
;Bluetooth2.c,39 :: 		txt[i] = 0;                            // Puting 0 at the end of the string
	MOVLW       _txt+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FSR1H 
	MOVF        _i+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;Bluetooth2.c,40 :: 		DataReady = 1;                         // Data is received
	MOVLW       1
	MOVWF       _DataReady+0 
;Bluetooth2.c,41 :: 		}
	GOTO        L_interrupt2
L_interrupt1:
;Bluetooth2.c,43 :: 		if (tmp != 10){
	MOVF        _tmp+0, 0 
	XORLW       10
	BTFSC       STATUS+0, 2 
	GOTO        L_interrupt3
;Bluetooth2.c,44 :: 		txt[i] = tmp;                          // Moving the data received from UART to string txt[]
	MOVLW       _txt+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FSR1H 
	MOVF        _i+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVF        _tmp+0, 0 
	MOVWF       POSTINC1+0 
;Bluetooth2.c,45 :: 		i++;
	INCF        _i+0, 1 
;Bluetooth2.c,46 :: 		}
L_interrupt3:
;Bluetooth2.c,47 :: 		}
L_interrupt2:
;Bluetooth2.c,48 :: 		PIR1.RCIF = 0;
	BCF         PIR1+0, 5 
;Bluetooth2.c,49 :: 		}
L_interrupt0:
;Bluetooth2.c,50 :: 		}
L_end_interrupt:
L__interrupt16:
	RETFIE      1
; end of _interrupt

_BT_Send:

;Bluetooth2.c,53 :: 		void BT_Send(const char *text){
;Bluetooth2.c,56 :: 		pStr = &Str;
	MOVLW       BT_Send_Str_L0+0
	MOVWF       BT_Send_pStr_L0+0 
	MOVLW       hi_addr(BT_Send_Str_L0+0)
	MOVWF       BT_Send_pStr_L0+1 
;Bluetooth2.c,57 :: 		while (*pStr++ = *text++)
L_BT_Send4:
	MOVF        BT_Send_pStr_L0+0, 0 
	MOVWF       R3 
	MOVF        BT_Send_pStr_L0+1, 0 
	MOVWF       R4 
	INFSNZ      BT_Send_pStr_L0+0, 1 
	INCF        BT_Send_pStr_L0+1, 1 
	MOVF        FARG_BT_Send_text+0, 0 
	MOVWF       R0 
	MOVF        FARG_BT_Send_text+1, 0 
	MOVWF       R1 
	MOVF        FARG_BT_Send_text+2, 0 
	MOVWF       R2 
	MOVLW       1
	ADDWF       FARG_BT_Send_text+0, 1 
	MOVLW       0
	ADDWFC      FARG_BT_Send_text+1, 1 
	ADDWFC      FARG_BT_Send_text+2, 1 
	MOVF        R0, 0 
	MOVWF       TBLPTRL 
	MOVF        R1, 0 
	MOVWF       TBLPTRH 
	MOVF        R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVFF       R3, FSR1
	MOVFF       R4, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVFF       R3, FSR0
	MOVFF       R4, FSR0H
	MOVF        POSTINC0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_BT_Send5
;Bluetooth2.c,58 :: 		;
	GOTO        L_BT_Send4
L_BT_Send5:
;Bluetooth2.c,59 :: 		UART1_Write_Text(Str);
	MOVLW       BT_Send_Str_L0+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(BT_Send_Str_L0+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Bluetooth2.c,60 :: 		}
L_end_BT_Send:
	RETURN      0
; end of _BT_Send

_BT_Send_RAM:

;Bluetooth2.c,63 :: 		void BT_Send_RAM(char *text){
;Bluetooth2.c,64 :: 		UART1_Write_Text(text);
	MOVF        FARG_BT_Send_RAM_text+0, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVF        FARG_BT_Send_RAM_text+1, 0 
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Bluetooth2.c,65 :: 		}
L_end_BT_Send_RAM:
	RETURN      0
; end of _BT_Send_RAM

_BT_Send_CR:

;Bluetooth2.c,68 :: 		void BT_Send_CR(){
;Bluetooth2.c,69 :: 		UART1_Write(0x0D);
	MOVLW       13
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Bluetooth2.c,70 :: 		}
L_end_BT_Send_CR:
	RETURN      0
; end of _BT_Send_CR

_Wait:

;Bluetooth2.c,73 :: 		void Wait(){
;Bluetooth2.c,74 :: 		Delay_ms(1000);
	MOVLW       41
	MOVWF       R11, 0
	MOVLW       150
	MOVWF       R12, 0
	MOVLW       127
	MOVWF       R13, 0
L_Wait6:
	DECFSZ      R13, 1, 1
	BRA         L_Wait6
	DECFSZ      R12, 1, 1
	BRA         L_Wait6
	DECFSZ      R11, 1, 1
	BRA         L_Wait6
;Bluetooth2.c,75 :: 		}
L_end_Wait:
	RETURN      0
; end of _Wait

_main:

;Bluetooth2.c,77 :: 		void main() {
;Bluetooth2.c,78 :: 		ANSELB = 0;
	CLRF        ANSELB+0 
;Bluetooth2.c,79 :: 		ANSELC  = 0;                    // Configure AN pins as digital I/O
	CLRF        ANSELC+0 
;Bluetooth2.c,80 :: 		ANSELD =0;
	CLRF        ANSELD+0 
;Bluetooth2.c,81 :: 		SLRCON = 0;
	CLRF        SLRCON+0 
;Bluetooth2.c,83 :: 		UART1_Init(115200);             // Initialize UART1 module
	BSF         BAUDCON+0, 3, 0
	CLRF        SPBRGH+0 
	MOVLW       68
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;Bluetooth2.c,84 :: 		Wait();
	CALL        _Wait+0, 0
;Bluetooth2.c,86 :: 		LCD_Init();                     // LCD Init
	CALL        _Lcd_Init+0, 0
;Bluetooth2.c,87 :: 		LCD_Cmd(_LCD_CLEAR);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Bluetooth2.c,88 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Bluetooth2.c,90 :: 		Lcd_Out(1,1,"Configuring");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_Bluetooth2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_Bluetooth2+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Bluetooth2.c,91 :: 		Lcd_Out(2,1,"BT module");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_Bluetooth2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_Bluetooth2+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Bluetooth2.c,93 :: 		BT_Send(_BT_SET_RESET);         // The SET RESET command returns the factory settings (SSP profile mode) of the module
	MOVLW       __BT_SET_RESET+0
	MOVWF       FARG_BT_Send_text+0 
	MOVLW       hi_addr(__BT_SET_RESET+0)
	MOVWF       FARG_BT_Send_text+1 
	MOVLW       higher_addr(__BT_SET_RESET+0)
	MOVWF       FARG_BT_Send_text+2 
	CALL        _BT_Send+0, 0
;Bluetooth2.c,94 :: 		BT_Send_CR();                   // CR
	CALL        _BT_Send_CR+0, 0
;Bluetooth2.c,95 :: 		Wait();
	CALL        _Wait+0, 0
;Bluetooth2.c,98 :: 		BT_Send(_BT_SET_BT_PAIR);       // If command SET BT PAIR * is given, all pairings will be removed
	MOVLW       __BT_SET_BT_PAIR+0
	MOVWF       FARG_BT_Send_text+0 
	MOVLW       hi_addr(__BT_SET_BT_PAIR+0)
	MOVWF       FARG_BT_Send_text+1 
	MOVLW       higher_addr(__BT_SET_BT_PAIR+0)
	MOVWF       FARG_BT_Send_text+2 
	CALL        _BT_Send+0, 0
;Bluetooth2.c,99 :: 		BT_Send_CR();                   // CR
	CALL        _BT_Send_CR+0, 0
;Bluetooth2.c,100 :: 		Wait();
	CALL        _Wait+0, 0
;Bluetooth2.c,102 :: 		BT_Send(_BT_RESET);             // Command RESET is used to perform a software reset
	MOVLW       __BT_RESET+0
	MOVWF       FARG_BT_Send_text+0 
	MOVLW       hi_addr(__BT_RESET+0)
	MOVWF       FARG_BT_Send_text+1 
	MOVLW       higher_addr(__BT_RESET+0)
	MOVWF       FARG_BT_Send_text+2 
	CALL        _BT_Send+0, 0
;Bluetooth2.c,103 :: 		BT_Send_CR();                   // CR
	CALL        _BT_Send_CR+0, 0
;Bluetooth2.c,104 :: 		Wait();
	CALL        _Wait+0, 0
;Bluetooth2.c,106 :: 		BT_Send(_BT_SET_BT_AUTH);
	MOVLW       __BT_SET_BT_AUTH+0
	MOVWF       FARG_BT_Send_text+0 
	MOVLW       hi_addr(__BT_SET_BT_AUTH+0)
	MOVWF       FARG_BT_Send_text+1 
	MOVLW       higher_addr(__BT_SET_BT_AUTH+0)
	MOVWF       FARG_BT_Send_text+2 
	CALL        _BT_Send+0, 0
;Bluetooth2.c,107 :: 		BT_Send("0000");
	MOVLW       ?lstr_3_Bluetooth2+0
	MOVWF       FARG_BT_Send_text+0 
	MOVLW       hi_addr(?lstr_3_Bluetooth2+0)
	MOVWF       FARG_BT_Send_text+1 
	MOVLW       higher_addr(?lstr_3_Bluetooth2+0)
	MOVWF       FARG_BT_Send_text+2 
	CALL        _BT_Send+0, 0
;Bluetooth2.c,108 :: 		BT_Send_CR();
	CALL        _BT_Send_CR+0, 0
;Bluetooth2.c,110 :: 		BT_Send(_BT_SET_BT_NAME);
	MOVLW       __BT_SET_BT_NAME+0
	MOVWF       FARG_BT_Send_text+0 
	MOVLW       hi_addr(__BT_SET_BT_NAME+0)
	MOVWF       FARG_BT_Send_text+1 
	MOVLW       higher_addr(__BT_SET_BT_NAME+0)
	MOVWF       FARG_BT_Send_text+2 
	CALL        _BT_Send+0, 0
;Bluetooth2.c,111 :: 		BT_Send("My Click Blutooth");         // change the name of bluetooth as you want
	MOVLW       ?lstr_4_Bluetooth2+0
	MOVWF       FARG_BT_Send_text+0 
	MOVLW       hi_addr(?lstr_4_Bluetooth2+0)
	MOVWF       FARG_BT_Send_text+1 
	MOVLW       higher_addr(?lstr_4_Bluetooth2+0)
	MOVWF       FARG_BT_Send_text+2 
	CALL        _BT_Send+0, 0
;Bluetooth2.c,112 :: 		BT_Send_CR();
	CALL        _BT_Send_CR+0, 0
;Bluetooth2.c,114 :: 		Wait();
	CALL        _Wait+0, 0
;Bluetooth2.c,116 :: 		BT_Send(_BT_CALL);
	MOVLW       __BT_CALL+0
	MOVWF       FARG_BT_Send_text+0 
	MOVLW       hi_addr(__BT_CALL+0)
	MOVWF       FARG_BT_Send_text+1 
	MOVLW       higher_addr(__BT_CALL+0)
	MOVWF       FARG_BT_Send_text+2 
	CALL        _BT_Send+0, 0
;Bluetooth2.c,117 :: 		BT_Send_CR();
	CALL        _BT_Send_CR+0, 0
;Bluetooth2.c,119 :: 		Wait();
	CALL        _Wait+0, 0
;Bluetooth2.c,120 :: 		Wait();
	CALL        _Wait+0, 0
;Bluetooth2.c,122 :: 		Lcd_Out(1,1,"Waiting for");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr5_Bluetooth2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr5_Bluetooth2+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Bluetooth2.c,123 :: 		Lcd_Out(2,1,"connection");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr6_Bluetooth2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr6_Bluetooth2+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Bluetooth2.c,125 :: 		DataReady = 0;                              // reset data ready flag
	CLRF        _DataReady+0 
;Bluetooth2.c,127 :: 		PIE1.RCIE   = 1;                            // enable RX interrupt
	BSF         PIE1+0, 5 
;Bluetooth2.c,128 :: 		INTCON.PEIE = 1;                            // enable peripheral interrupts
	BSF         INTCON+0, 6 
;Bluetooth2.c,129 :: 		INTCON.GIE  = 1;                            // Interrupts allowed
	BSF         INTCON+0, 7 
;Bluetooth2.c,131 :: 		while (1) {
L_main7:
;Bluetooth2.c,133 :: 		if (DataReady){
	MOVF        _DataReady+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main9
;Bluetooth2.c,134 :: 		INTCON.GIE  = 0;                        // Disable interrupts
	BCF         INTCON+0, 7 
;Bluetooth2.c,135 :: 		DataReady = 0;                          // reset data ready flag
	CLRF        _DataReady+0 
;Bluetooth2.c,136 :: 		DataOut = 1;                            // Set data output flag
	MOVLW       1
	MOVWF       _DataOut+0 
;Bluetooth2.c,137 :: 		if (strstr(txt, BT_Ring_string)){       // If the message was RING
	MOVLW       _txt+0
	MOVWF       FARG_strstr_s1+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_strstr_s1+1 
	MOVLW       _BT_Ring_string+0
	MOVWF       FARG_strstr_s2+0 
	MOVLW       hi_addr(_BT_Ring_string+0)
	MOVWF       FARG_strstr_s2+1 
	CALL        _strstr+0, 0
	MOVF        R0, 0 
	IORWF       R1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_main10
;Bluetooth2.c,138 :: 		LCD_Cmd(_LCD_CLEAR);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Bluetooth2.c,139 :: 		Lcd_Out(1,1,"Connected!");            // Displat Connected on LCD
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr7_Bluetooth2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr7_Bluetooth2+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Bluetooth2.c,140 :: 		Wait();
	CALL        _Wait+0, 0
;Bluetooth2.c,141 :: 		LCD_Cmd(_LCD_CLEAR);                  // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Bluetooth2.c,142 :: 		Lcd_Out(1,1,"Receiving...");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr8_Bluetooth2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr8_Bluetooth2+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Bluetooth2.c,143 :: 		DataOut = 0;                          // reset data output flag
	CLRF        _DataOut+0 
;Bluetooth2.c,144 :: 		}
L_main10:
;Bluetooth2.c,146 :: 		if (strstr(txt, BT_No_Carrier_String)){ // If the message was No Carrier (disconnect)
	MOVLW       _txt+0
	MOVWF       FARG_strstr_s1+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_strstr_s1+1 
	MOVLW       _BT_No_Carrier_String+0
	MOVWF       FARG_strstr_s2+0 
	MOVLW       hi_addr(_BT_No_Carrier_String+0)
	MOVWF       FARG_strstr_s2+1 
	CALL        _strstr+0, 0
	MOVF        R0, 0 
	IORWF       R1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_main11
;Bluetooth2.c,147 :: 		LCD_Cmd(_LCD_CLEAR);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Bluetooth2.c,148 :: 		Lcd_Out(1,1,"Disconnected!");         // Display disconnect on LCD
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr9_Bluetooth2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr9_Bluetooth2+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Bluetooth2.c,149 :: 		DataOut = 0;                          // reset data output flag
	CLRF        _DataOut+0 
;Bluetooth2.c,150 :: 		}
L_main11:
;Bluetooth2.c,152 :: 		if (DataOut){                           // if data output flag (we can display data on screen)
	MOVF        _DataOut+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main12
;Bluetooth2.c,153 :: 		LCD_Cmd(_LCD_CLEAR);                  // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Bluetooth2.c,154 :: 		Lcd_Out(1,1,"Received:");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr10_Bluetooth2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr10_Bluetooth2+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Bluetooth2.c,155 :: 		Lcd_Cmd(_LCD_SECOND_ROW);
	MOVLW       192
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Bluetooth2.c,156 :: 		i = 0;
	CLRF        _i+0 
;Bluetooth2.c,157 :: 		while (txt[i] != 0){
L_main13:
	MOVLW       _txt+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FSR0H 
	MOVF        _i+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main14
;Bluetooth2.c,158 :: 		Lcd_Chr_CP(txt[i]);                 // Displaying the received text on the LCD
	MOVLW       _txt+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FSR0H 
	MOVF        _i+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Lcd_Chr_CP_out_char+0 
	CALL        _Lcd_Chr_CP+0, 0
;Bluetooth2.c,159 :: 		i++;
	INCF        _i+0, 1 
;Bluetooth2.c,160 :: 		}
	GOTO        L_main13
L_main14:
;Bluetooth2.c,161 :: 		}
L_main12:
;Bluetooth2.c,162 :: 		i = 0;                                  // reset i counter
	CLRF        _i+0 
;Bluetooth2.c,163 :: 		memset(txt, 0, 100);                    // reset message content
	MOVLW       _txt+0
	MOVWF       FARG_memset_p1+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_memset_p1+1 
	CLRF        FARG_memset_character+0 
	MOVLW       100
	MOVWF       FARG_memset_n+0 
	MOVLW       0
	MOVWF       FARG_memset_n+1 
	CALL        _memset+0, 0
;Bluetooth2.c,164 :: 		INTCON.GIE  = 1;                        // Enable interrupts
	BSF         INTCON+0, 7 
;Bluetooth2.c,165 :: 		}
L_main9:
;Bluetooth2.c,166 :: 		}
	GOTO        L_main7
;Bluetooth2.c,167 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
