#line 1 "D:/programming&CCt Design/Microcontroller/Projects/Bluetooth controll/mikroC PRO for PIC/EasyPIC v7 - PIC18F45K22/Bluetooth2.c"

sbit LCD_RS at LATB4_bit;
sbit LCD_EN at LATB5_bit;
sbit LCD_D4 at LATB0_bit;
sbit LCD_D5 at LATB1_bit;
sbit LCD_D6 at LATB2_bit;
sbit LCD_D7 at LATB3_bit;

sbit LCD_RS_Direction at TRISB4_bit;
sbit LCD_EN_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISB0_bit;
sbit LCD_D5_Direction at TRISB1_bit;
sbit LCD_D6_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB3_bit;



const char _BT_SET_RESET[] = "SET RESET";
const char _BT_RESET[] = "RESET";
const char _BT_SET_BT_PAIR[] = "SET BT PAIR * ";
const char _BT_SET_BT_AUTH[] = "SET BT AUTH * ";
const char _BT_LIST[] = "LIST";
const char _BT_INQUIRY[] = "INQUIRY 7";
const char _BT_SET_BT_NAME[] = "SET BT NAME ";
const char _BT_CALL[] = "CALL xx:xx:xx:xx:xx:xx 1101 RFCOMM";


char BT_Ring_string[] = "RING";
char BT_No_Carrier_String[] = "NO CARRIER";

char txt[200];
unsigned short i, tmp, DataReady, DataOut;


void interrupt(){
 if (PIR1.RCIF == 1) {
 tmp = UART1_Read();
 if (tmp == 13) {
 txt[i] = 0;
 DataReady = 1;
 }
 else {
 if (tmp != 10){
 txt[i] = tmp;
 i++;
 }
 }
 PIR1.RCIF = 0;
 }
}


void BT_Send(const char *text){
char Str[30];
char *pStr;
 pStr = &Str;
 while (*pStr++ = *text++)
 ;
 UART1_Write_Text(Str);
}


void BT_Send_RAM(char *text){
 UART1_Write_Text(text);
}


void BT_Send_CR(){
 UART1_Write(0x0D);
}


void Wait(){
 Delay_ms(1000);
}

void main() {
 ANSELB = 0;
 ANSELC = 0;
 ANSELD =0;
 SLRCON = 0;

 UART1_Init(115200);
 Wait();

 LCD_Init();
 LCD_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);

 Lcd_Out(1,1,"Configuring");
 Lcd_Out(2,1,"BT module");

 BT_Send(_BT_SET_RESET);
 BT_Send_CR();
 Wait();


 BT_Send(_BT_SET_BT_PAIR);
 BT_Send_CR();
 Wait();

 BT_Send(_BT_RESET);
 BT_Send_CR();
 Wait();

 BT_Send(_BT_SET_BT_AUTH);
 BT_Send("0000");
 BT_Send_CR();

 BT_Send(_BT_SET_BT_NAME);
 BT_Send("My Click Blutooth");
 BT_Send_CR();

 Wait();

 BT_Send(_BT_CALL);
 BT_Send_CR();

 Wait();
 Wait();

 Lcd_Out(1,1,"Waiting for");
 Lcd_Out(2,1,"connection");

 DataReady = 0;

 PIE1.RCIE = 1;
 INTCON.PEIE = 1;
 INTCON.GIE = 1;

 while (1) {

 if (DataReady){
 INTCON.GIE = 0;
 DataReady = 0;
 DataOut = 1;
 if (strstr(txt, BT_Ring_string)){
 LCD_Cmd(_LCD_CLEAR);
 Lcd_Out(1,1,"Connected!");
 Wait();
 LCD_Cmd(_LCD_CLEAR);
 Lcd_Out(1,1,"Receiving...");
 DataOut = 0;
 }

 if (strstr(txt, BT_No_Carrier_String)){
 LCD_Cmd(_LCD_CLEAR);
 Lcd_Out(1,1,"Disconnected!");
 DataOut = 0;
 }

 if (DataOut){
 LCD_Cmd(_LCD_CLEAR);
 Lcd_Out(1,1,"Received:");
 Lcd_Cmd(_LCD_SECOND_ROW);
 i = 0;
 while (txt[i] != 0){
 Lcd_Chr_CP(txt[i]);
 i++;
 }
 }
 i = 0;
 memset(txt, 0, 100);
 INTCON.GIE = 1;
 }
 }
}
